#include "mbed.h"
#include "stm32l496g_discovery_lcd.h"

int main()
{
    BSP_LCD_Init();

    while(1) {
        BSP_LCD_SetFont(&Font12);
        BSP_LCD_Clear(LCD_COLOR_MAGENTA);
        BSP_LCD_SetBackColor(LCD_COLOR_MAGENTA);
        BSP_LCD_SetTextColor(LCD_COLOR_ORANGE);
        BSP_LCD_DisplayStringAt(0, LINE(4), (uint8_t *)"DISCO_L496AG", CENTER_MODE);
        BSP_LCD_DisplayStringAt(0, LINE(5), (uint8_t *)"LCD DEMO", CENTER_MODE);
        BSP_LCD_DisplayStringAt(0, LINE(6), (uint8_t *)"FONT12", CENTER_MODE);
        wait(2);
        BSP_LCD_SetFont(&Font16);
        BSP_LCD_Clear(LCD_COLOR_RED);
        BSP_LCD_SetBackColor(LCD_COLOR_RED);
        BSP_LCD_SetTextColor(LCD_COLOR_YELLOW);
        BSP_LCD_DisplayStringAt(0, LINE(4), (uint8_t *)"DISCO_L496AG", CENTER_MODE);
        BSP_LCD_DisplayStringAt(0, LINE(5), (uint8_t *)"LCD DEMO", CENTER_MODE);
        BSP_LCD_DisplayStringAt(0, LINE(6), (uint8_t *)"FONT16", CENTER_MODE);
        wait(2);
        BSP_LCD_SetFont(&Font20);
        BSP_LCD_Clear(LCD_COLOR_GREEN);
        BSP_LCD_SetBackColor(LCD_COLOR_GREEN);
        BSP_LCD_SetTextColor(LCD_COLOR_BLACK);
        BSP_LCD_DisplayStringAt(0, LINE(4), (uint8_t *)"DISCO_L496AG", CENTER_MODE);
        BSP_LCD_DisplayStringAt(0, LINE(5), (uint8_t *)"LCD DEMO", CENTER_MODE);
        BSP_LCD_DisplayStringAt(0, LINE(6), (uint8_t *)"FONT20", CENTER_MODE);
        wait(2);
        BSP_LCD_Clear(LCD_COLOR_BLUE);
        BSP_LCD_SetBackColor(LCD_COLOR_BLUE);
        BSP_LCD_SetTextColor(LCD_COLOR_WHITE);
        BSP_LCD_SetFont(&Font24);
        BSP_LCD_DisplayStringAt(0, LINE(4), (uint8_t *)"DISCO_L496AG", CENTER_MODE);
        BSP_LCD_DisplayStringAt(0, LINE(5), (uint8_t *)"LCD DEMO", CENTER_MODE);
        BSP_LCD_DisplayStringAt(0, LINE(6), (uint8_t *)"FONT24", CENTER_MODE);
        wait(2);
    }

}
